API Reference
Get a connector
GET
/api/connectors/{id}
Returns the connector with its parsed configuration (including secrets).
Operation IDgetConnector
Authentication
- BearerAuth
http bearerAPI key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.
Path parameters
idintegerrequiredResource ID
Success response body
200Connector with parsed config
Connector with parsed config
Content typeapplication/json
responseobject7 properties
idintegernamestringtypestringconfigobjectParsed connector configuration
descriptionstring | nullcreated_atstring · date-timeupdated_atstring · date-timeError responses
404Resource not found
Resource not found
Content typeapplication/json
responseobject2 properties
errorstringmessagestringExample response
{
"error": "NOT_FOUND",
"message": "Resource not found"
}